%global src_name xpyb

Name:		python-xpyb
Version:	1.3
Release:	2%{?dist}
Summary:	X Python Binding,based on the X C Binding (XCB) library
Group:		Development/Libraries
License:	Public Domain
URL:		http://xcb.freedesktop.org
Source:		http://xcb.freedesktop.org/dist/xpyb-%{version}.tar.bz2
BuildRequires:	xcb-proto
BuildRequires:	libxcb-devel
BuildRequires:	python2-devel

%description
The Python binding for XCB allows the X protocol to be accessed directly from
Python. There are two components:

- A Python extension written in C. This exposes XCB-specific objects and
  library functions, as well as providing various base classes used by the
  generated code.
- Python modules which are generated directly from the XCB-XML protocol
  descriptions.

The Python binding requires libxcb.so to work. The additional extension
libraries are not required.

%package -n python-xpyb-devel
Summary:	Devel files of xpyb
Group:		Development/Libraries
Requires:	python-xpyb == %{version}

%description -n python-xpyb-devel
This package provides devel files of xpyb, a Python binding to the
X Window System protocol via libxcb.

%prep
%setup -q -n xpyb-%{version}

%build
%configure --docdir=%{_docdir}/xpyb

make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root,-)
%{python_sitearch}/*
%doc %{_docdir}/%{src_name}/*

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/%{src_name}.pc
%{_includedir}/*.h

%changelog
* Mon Jul 01 2013 Tomas Dabasinskas <tomas@redhat.com> - 1.3-2
- Minor edits for inclusion to fedora yum repo
* Sat Apr 20 2013 Huaren Zhong <huaren.zhong@gmail.com> - 1.3
- Rebuild for Fedora
* Mon Apr  8 2013 mlin@suse.com
- Initial a build
